%global srcname Unicode-EastAsianWidth

Summary:	East Asian Width properties
Name:		perl-%{srcname}
Version:	12.0
Release:	7%{?dist}
License:	CC0
URL:		https://metacpan.org/dist/%{srcname}
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/%{srcname}-%{version}.tar.gz
Patch3000:	perl-Unicode-EastAsianWidth-no-inc.patch

BuildRequires:  make
BuildRequires:	perl(Module::Package) perl(Module::Package::Au) perl-generators
BuildArch:	noarch
# Filtering out provides caused by private libs
%{?perl_default_filter}

%description
This module provide user-defined Unicode properties that deal with width status of
East Asian characters, as specified in <http://www.unicode.org/unicode/reports/tr11/>.
It exports the following functions to the caller's scope, to be used by
Perl's Unicode matching system: InEastAsianFullwidth, InEastAsianHalfwidth,
InEastAsianAmbiguous, InEastAsianNarrow InEastAsianWide, InEastAsianNeutral.


%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf inc/*


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} \;
%{_fixperms} %{buildroot}


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/Unicode/
%{_mandir}/man3/Unicode::EastAsianWidth.3pm*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 12.0-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Sun Apr 24 2022 rockerzhu <rockerzhu@tencent.com> - 12.0-1
- Initial build
